:	"@(#)$Id: before.sh,v 1.4 1998/07/07 19:20:58 jleffler Exp $"
#
#	$Product: INFORMIX Dynamic 4GL Demonstration Version 2.00.UC8 (1998-08-25) $
#
#	Create the schema file and environment setting script

if [ $# -gt 0 ]
then
	case "$1" in
	-v|-V)
		echo "$Product: INFORMIX Dynamic 4GL Demonstration Version 2.00.UC8 (1998-08-25) $"
		echo "Schema creator for the INFORMIX Dynamic 4GL demonstration."
		exit 0
		;;
	*)
		echo "Usage: $0 [-V]" 1>&2
		exit 1
		;;
	esac
fi

echo "Creating schema file stores7.sch"
fglschema stores7

echo
echo "Before compiling the INFORMIX Dynamic 4GL demonstration,"
shell=`basename $SHELL`
envfile=d4gldemoenv.$shell

{
echo "#   $Product: INFORMIX Dynamic 4GL Demonstration Version 2.00.UC8 (1998-08-25) $"
echo "#"
echo "#   Environment setting shell script for D4GLDEMO"
echo
} > $envfile

case $shell in
*csh)
	echo "setenv FGLDBPATH `pwd`" >> $envfile
	echo "please type: source ./$envfile"
	;;
*)
	{
	echo "FGLDBPATH=`pwd`"
	echo "export FGLDBPATH"
	} >>$envfile
	echo "please type: . ./$envfile"
	;;
esac

exit 0
