-- INFORMIX Dynamic 4GL Demonstration
--
-- @(#)$Id: d4_bitmap.4gl,v 1.2 1998/07/06 23:04:47 jleffler Exp $
--
-- $Product: INFORMIX Dynamic 4GL Demonstration Version 2.00.UC8 (1998-08-25) $

-- Note that this file will only compile with Informix Dynamic 4GL

--# GLOBALS "d4_globals.4gl"
--#
--# DEFINE
--#     bitmap_open INTEGER

--# FUNCTION bmp_openwin()
--#
--#     IF NOT bitmap_open THEN
--#         OPEN WINDOW w_bitmap AT 10, 83 WITH FORM "d4_bitmap" ATTRIBUTE(FORM LINE 1)
--#         LET bitmap_open = TRUE
--#     ELSE
--#         CURRENT WINDOW IS w_bitmap
--#     END IF
--#
--# END FUNCTION {bmp_openwin}

--# FUNCTION bmp_closewin()
--#
--#     IF bitmap_open THEN
--#         CLOSE WINDOW w_bitmap
--#         LET bitmap_open = FALSE
--#     END IF
--#
--# END FUNCTION {bmp_closewin}

--# FUNCTION bmp_lookup(description)
--#
--#     DEFINE description LIKE stock.description
--#     DEFINE bmp_file CHAR(30)
--#
--#     {
--#     -- There are 42 distinct item descriptions in the standard
--#     -- stores7 database Stock table (and a total of 74 items).
--#     --
--#     --  10-spd, assmbld
--#     --  12-spd, assmbld
--#     --  18-spd, assmbld
--#     --  3 golf balls
--#     --  baseball
--#     --  baseball bat
--#     --  baseball gloves
--#     --  basketball
--#     --  bicycle brakes
--#     --  bicycle gloves
--#     --  bicycle saddle
--#     --  bicycle stem
--#     --  bicycle tires
--#     --  bicycle wheels
--#     --  crankset
--#     --  ear drops
--#     --  first-aid kit
--#     --  football
--#     --  frnt derailleur
--#     --  golf shoes
--#     --  helmet
--#     --  ice pack
--#     --  infant jogger
--#     --  irons/wedge
--#     --  kick board
--#     --  metal woods
--#     --  pedal binding
--#     --  putter
--#     --  racer goggles
--#     --  rear derailleur
--#     --  running shoes
--#     --  socks
--#     --  std woods
--#     --  swim cap
--#     --  tandem adapter
--#     --  tennis ball
--#     --  tennis racquet
--#     --  twin jogger
--#     --  volleyball
--#     --  volleyball net
--#     --  watch
--#     --  water gloves
--#     --
--#     -- We do not have pictures available for many of these!
--#     --
--#     -- In a production system, there would be a complete mapping
--#     -- table of item descriptions to pictures (and, preferably, a
--#     -- separate picture for each actual item, not each
--#     -- description).
--#     }
--#
--#     CASE description
--#     WHEN "baseball"             LET bmp_file = "baseball.bmp"
--#     WHEN "baseball bat"         LET bmp_file = "bat.bmp"
--#     WHEN "baseball gloves"      LET bmp_file = "glove2.bmp"
--#     WHEN "basketball"           LET bmp_file = "bsktball.bmp"
--#     OTHERWISE                   LET bmp_file = NULL
--#     END CASE
--#
--#     RETURN bmp_file
--#
--# END FUNCTION {bmp_lookup}

--# FUNCTION bmp_display(description)
--#
--#     DEFINE description LIKE stock.description
--#     DEFINE bmp_file CHAR(30)
--#     DEFINE curwin CHAR(18)
--#
--#     LET bmp_file = bmp_lookup(description)
--#
--#     IF bmp_file IS NOT NULL THEN
--#         -- Note the use of window::getoption to get the name of the
--#         -- current window, and of window::current to restore the name
--#         -- after the display.
--#         LET curwin = window::getoption("name")
--#         CALL bmp_openwin()
--#         DISPLAY bmp_file TO bmpfld
--#         CALL window::current(curwin)
--#     ELSE
--#         CALL bmp_closewin()
--#     END IF
--#
--# END FUNCTION {bmp_display}
